Bug 13345 - No slovene keyboard in XFree 4.0
Summary: No slovene keyboard in XFree 4.0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-03 14:14 UTC by David Balažic
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 18:55:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2000-07-03 14:14:12 UTC
There is no support for slovene keyboard layout
in XFree86 4.0 ( the one in beta2 ).

I looked in the XF86 4.0.1 sources ( from a xfree86.org mirror,
actually I looke in the Xlib.tgz file from the linux binaries package )
and it seems that the file /usr/X11R6/lib/X11/xkb/keymap/xfree86
is missing the needed entry, which should be something like this :
xkb_keymap "sl"	{
    xkb_keycodes	{ include "xfree86"		};
    xkb_types		{ include "default"		};
    xkb_compatibility	{ include "default"		};
    xkb_symbols		{ include "en_US(pc105)+sl"	};
    xkb_geometry 	{ include "pc(pc102)"		};
};
xkb_keymap "sl_SI"	{
    xkb_keycodes	{ include "xfree86"		};
    xkb_types		{ include "default"		};
    xkb_compatibility	{ include "default"		};
    xkb_symbols		{ include "en_US(pc105)+sl"	};
    xkb_geometry 	{ include "pc(pc102)"		};
};

Comment 1 Bill Nottingham 2000-07-03 22:51:22 UTC
This should be fixed in XFree86-4.0-0.30 and later.

Comment 2 David Balažic 2000-07-21 07:40:01 UTC
It partly works in beta4 ( Xfree-4.0.1-something ).
If I put  
XkbModel "pc105"
XkbLayout "si"
in XF86Config , then I get a slovenian keyboard.
But there is still no choice in the installer ( anaconda ).
Is there a GUI tool for changing the keyboard layout after
the install ?

Comment 3 David Balažic 2000-08-07 12:52:09 UTC
Pinstripe : Still no choice of Slovene keyboard in anaconda.
Is there a tool to change the keyboard layout after install ?
( X11 layout , not console )

Comment 4 David Balažic 2000-08-22 12:52:30 UTC
And the bug lives on ... ( in RC1 )

Comment 5 David Balažic 2001-03-05 17:16:55 UTC
Fixed in Wolverine ( redhat 7.1 beta / RC1 ).


Note You need to log in before you can comment on or make changes to this bug.